Bug 815126 - SELinux is preventing personal.bin from 'create' accesses on the file .personal-Mannerto.
Summary: SELinux is preventing personal.bin from 'create' accesses on the file .person...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b2f52a70106ffa8aa7fc3aa1a05...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-22 17:55 UTC by Tom Mannerhagen
Modified: 2012-05-08 04:22 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-121.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-08 04:22:12 UTC
Type: ---


Attachments (Terms of Use)

Description Tom Mannerhagen 2012-04-22 17:55:53 UTC
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-8.fc17.i686
time:           sön 22 apr 2012 19:54:54

description:
:SELinux is preventing personal.bin from 'create' accesses on the file .personal-Mannerto.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that personal.bin should be allowed create access on the .personal-Mannerto file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep personal.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                .personal-Mannerto [ file ]
:Source                        personal.bin
:Source Path                   personal.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-116.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-8.fc17.i686 #1 SMP Sat Apr 21
:                              12:41:50 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    sön 22 apr 2012 19:49:20
:Last Seen                     sön 22 apr 2012 19:49:20
:Local ID                      7f38e762-fa97-46bc-a09d-0972887efbe2
:
:Raw Audit Messages
:type=AVC msg=audit(1335116960.446:148): avc:  denied  { create } for  pid=2500 comm="personal.bin" name=".personal-Mannerto" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:
:
:Hash: personal.bin,mozilla_plugin_t,user_home_dir_t,file,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Miroslav Grepl 2012-04-22 20:09:11 UTC
Do you know what and where is ".personal-Mannerto"?

Comment 2 Tom Mannerhagen 2012-05-01 08:02:37 UTC
Hi

Sorry for no response from my side!

It seems this issue is picked up elsewhere too:

http://www.linux-archive.org/fedora-selinux-support-list-users-developers-selinux-lists-fedoraproject-org/660492-how-change-default-context-files-home-directory.html

Hope this helps you onward

BR

Tom

Comment 3 Daniel Walsh 2012-05-02 17:56:01 UTC
Miroslav I added mozilla_plugin_enable_homedirs to policy to allow for this.  But disabled by default.

Fixed in selinux-policy-3.10.0-120.fc17

Comment 4 Fedora Update System 2012-05-04 19:52:53 UTC
selinux-policy-3.10.0-121.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-121.fc17

Comment 5 Fedora Update System 2012-05-04 22:16:39 UTC
Package selinux-policy-3.10.0-121.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-121.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7313/selinux-policy-3.10.0-121.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-05-08 04:22:12 UTC
selinux-policy-3.10.0-121.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.